<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>S05: HTML Forms and Tables</title>
</head>
<body>

    <main>
        <!-- This one creates a container element that is used to group HTML elements -->
        <!-- Header value is used for search engine optimization (SEO) -->
        <header>
            <h1>HTML Tables and Forms</h1>
        </header>

        <section>
            <h2>HTML Entities</h2>

        <p><em>Reserved characters in HTML (e.g &lt; &gt; characters that can mix up with HTML codes). </em></p>

        <!-- Start of Table Elements -->
        <!-- Defines an HTMl Table -->
        <table border="1">
            <!-- Used to group table header conters -->
            <thead>
                <!-- Defines a table row -->
                <tr>
                    <!-- Defines a table header elemet/value/data -->
                    <th colspan="2">Entity</th>
                    <th>Descriptions</th>
                </tr>
            </thead>
            <!-- Used to group table body contents -->
            <tbody>
                <tr>
                    <!-- Defines a table data element -->
                    <td>&lt;</td>
                    <td>Lt</td>
                    <td>Less than</td>
                </tr>
                <tr>
                    <td>&gt;</td>
                    <td>gt</td>
                    <td>Greater than</td>
                </tr>
                <tr>
                    <td>&#8369;</td>
                    <td>#8359</td>
                    <td>Peso Sign</td>
                </tr>
                <tr>
                    <td>&amp;</td>
                    <td>amp</td>
                    <td>ampersand</td>
                </tr>
                <tr>
                    <td>&quot;</td>
                    <td>quot</td>
                    <td>Double quotation mark</td>
                </tr>
                <tr>
                    <td>&apos;</td>
                    <td>apos</td>
                    <td>Single quotation mark</td>
                </tr>
                <tr>
                    <td>&ntilde;</td>
                    <td>ntilde</td>
                    <td>lower tilde</td>
                </tr>
                <tr>
                    <td>&Utilde;</td>
                    <td>Utilde</td>
                    <td>Upper tilde</td>
                </tr>
            </tbody>
            <!-- Used to group table footer contents -->
            <tfoot>
                <tr>
                    <th colspan="3">List of HTML Entities</th>
                </tr>
            </tfoot>
        </table>
        <!-- End of Table Elements -->
        </section>

        <section>
            <!-- Start of Form Elements -->

        <h2>HTML Forms</h2>
        <p><em>Input elements that make up a form</em></p>

        <!--  Creates an HTML form to capture user inputs. -->
        <form action="https://www.google.com/" target="_blank">

            <!-- Creates a label and allows for input field selection when clicked -->
            <label for="full_name">Full Name:</label>
            <!-- Creates an input field to capture user input -->
            <input type="text" name="full_name" id="full_name" required>

            <br><br>

            <label for="birth_date">Birth date:</label>
            <input type="date" name="birth_date" id="birth_date" required>

            <br><br>

            <label for="age">Age:</label>
            <input type="number" name="age" id="age" required>
            
            <br><br>

            <label for="gender">Gender</label>
            <select name="gender" id="gender" required>
                <option value="male">Male</option>
                <option value="female">Female</option>
            </select> 
            
            <br><br>

            <label for="notes">Notes:</label><br>
            <textarea name="notes" id="notes"  rows="5"></textarea>

            <br><br>

            <!-- Radio buttons -->

            <label>New User:</label>
            <input type="radio" name="new_user" id="user-type1">
            <label for="user-type1">Yes</label>
            <input type="radio" name="new_user" id="user-type2">
            <label for="user-type2">No</label>

            <br><br>

            <!-- Checkbox  -->
            <label>Role:</label><br>
            <input type="checkbox" name="role1" id="role1" value="developer">
            <label for="role1">Developer</label><br>

            <input type="checkbox" name="role2" id="role2" value="student">
            <label for="role2">Student</label> <br>

            <input type="checkbox" name="role3" id="role3" value="manager">
            <label for="role3">Manager</label> <br>


            <br><br>



            <!-- Creates a button that will submit the form data -->
            <button type="submit">Submit</button>
            <!-- Creates a button that will reset the form data -->
            <button type="reset">Reset</button>

        </form>



        <!-- End of Form Elements -->
        </section>

    </main>
    
    

</body>
</html>